--Script: Multi Monitor
--Usage: Makes monitors multiply themselves when broken.

--This will probably melt your computer into slag.

local multiMonitorEnabled = CV_RegisterVar({
	name = "multimonitor",
	defaultvalue = 0,
	flags = CV_SHOWMODIF|CV_NETVAR,
	PossibleValue = CV_OnOff
})

local multiMonitorCount = CV_RegisterVar({
	name = "multimonitor_count",
	defaultvalue = 1,
	flags = CV_SHOWMODIF|CV_NETVAR|CV_CHEAT,
	PossibleValue = CV_UNSIGNED
})

addHook("MapLoad",function()
	if multiMonitorEnabled.value == 0 then
		print("\x85Multi Monitor is off.")
	else
		print("\x83Multi Monitor is on.")
		print("\x82(Multi Monitor) Monitor count is " .. multiMonitorCount.value)
	end
end)

addHook("MobjDeath", function(mo,inflictor,source)
    if multiMonitorEnabled.value == 1 then
		if (mo.flags & MF_MONITOR) then
			for i = 0,multiMonitorCount.value,1 do
				P_SpawnMobjFromMobj(mo,P_RandomRange(-FRACUNIT*50,FRACUNIT*50),P_RandomRange(-FRACUNIT*50,FRACUNIT*50),0,mo.type)
			end
		end
	end
end)